#x-temp-gall{
	max-width:870px !important;
	padding:10px 1px !important;
}
.m2e-gallery{
	width: 850px;
    height: auto;
    margin: 0 auto;
    border-radius: 0px;
    margin-bottom: 10px;
    padding: 5px;
    box-sizing: border-box;
}
.m2e-gallery .current{
	margin:0 auto 35px !important;
	width:850px;
	height:650px;
	position:relative;
}
.m2e-gallery .current img.full-image{
	width: auto;
    height: auto;
    max-width: 850px;
    max-height: 650px;
}
.m2e-gallery .preview-container{
	max-width:500px;
	list-style-type:none;
	display:block;
	overflow:auto;
	margin:0 auto;
	padding:0;
}
.m2e-gallery label.preview{
	display:inline-block;
	margin:3px;
	width:80px;
	height:80px;
	overflow:hidden;
	cursor:pointer;
	border:1px solid #e4e4e4;
	position:relative;
}
.m2e-gallery label.preview:hover{
	border:1px solid #EF2929;
}
.m2e-gallery label.preview:hover img{
	opacity:1;
}
.m2e-gallery label.preview img{
	display: block;
	width:auto;
	height:auto;
	max-width: 80px;
    max-height: 80px;
	position:absolute;
	top:0;
	bottom:0;
	left:0;
	right:0;
	margin:auto !important;
}
/*** Responsive image gallery styles starts ***/
@media screen and (max-width:1010px){
.m2e-gallery{
	width: 700px;
}
.m2e-gallery .current{
	width:670px;
	height:500px;
}
.m2e-gallery .current img.full-image{
	width:auto;
	height:auto;
	max-width:670px; /*Width of the Main image*/
	max-height:500px; /*Height of the Main image*/
}
}

@media screen and (max-width:770px){
.m2e-gallery{
	width: 620px;
}
.m2e-gallery .current{
	width:520px;
	height:450px;
}
.m2e-gallery .current img.full-image{
	width:auto;
	height:auto;
	max-width:520px; /*Width of the Main image*/
	max-height:450px; /*Height of the Main image*/
}
}

@media screen and (max-width:600px){
.m2e-gallery{
	width: 450px;
}
.m2e-gallery .current{
	width:360px;
	height:320px;
}
.m2e-gallery .current img.full-image{
	width:auto;
	height:auto;
	max-width:360px; /*Width of the Main image*/
	max-height:320px; /*Height of the Main image*/
}
}

@media screen and (max-width:450px){
.m2e-gallery{
	width: 300px;
}
.m2e-gallery .current{
	width:300px;
	height:250px;
}
.m2e-gallery .current img.full-image{
	width:auto;
	height:auto;
	max-width:300px; /*Width of the Main image*/
	max-height:250px; /*Height of the Main image*/
}

@media screen and (max-width:350px){
.m2e-gallery{
	width: 260px;
}
.m2e-gallery .current{
	width:250px;
	height:220px;
}
.m2e-gallery .current img.full-image{
	width:auto;
	height:auto;
	max-width:250px; /*Width of the Main image*/
	max-height:220px; /*Height of the Main image*/
}
}